CT_LIBC_GLIBC_MIN_KERNEL(_VERSION)?

Esben Haabendal eha@dev.doredevelopment.dk
Sun Mar 27 17:38:00 GMT 2011


Hi

Is CT_LIBC_GLIBC_MIN_KERNEL being replaced with
CT_LIBC_GLIBC_MIN_KERNEL_VERSION?

This is status right now:

eha@fire:~/crosstool-ng/hg$ hg grep CT_LIBC_GLIBC_MIN_KERNEL|sort
samples/alphaev56-unknown-linux-gnu/crosstool.config:2290:CT_LIBC_GLIBC_MIN_KERNEL="2.6.37"
samples/arm-beagle-linux-gnueabi/crosstool.config:1532:CT_LIBC_GLIBC_MIN_KERNEL="2.6.30.5"
samples/arm-cortex_a8-linux-gnueabi/crosstool.config:2290:CT_LIBC_GLIBC_MIN_KERNEL="2.6.36"
samples/arm-davinci-linux-gnueabi/crosstool.config:2290:CT_LIBC_GLIBC_MIN_KERNEL="2.6.33.7"
samples/armeb-unknown-linux-gnu/crosstool.config:1616:CT_LIBC_GLIBC_MIN_KERNEL="2.6.31.1"
samples/armeb-unknown-linux-gnueabi/crosstool.config:2290:CT_LIBC_GLIBC_MIN_KERNEL="2.6.33.7"
samples/arm-iphone-linux-gnueabi/crosstool.config:2290:CT_LIBC_GLIBC_MIN_KERNEL="2.6.31.14"
samples/arm-unknown-linux-gnu/crosstool.config:1616:CT_LIBC_GLIBC_MIN_KERNEL="2.6.31.1"
samples/arm-unknown-linux-gnueabi/crosstool.config:2290:CT_LIBC_GLIBC_MIN_KERNEL="2.6.33.7"
samples/i586-mingw32msvc,i686-none-linux-gnu/crosstool.config:2290:CT_LIBC_GLIBC_MIN_KERNEL="2.6.33.7"
samples/i686-nptl-linux-gnu/crosstool.config:2290:CT_LIBC_GLIBC_MIN_KERNEL="2.6.36.2"
samples/ia64-unknown-linux-gnu/crosstool.config:2240:CT_LIBC_GLIBC_MIN_KERNEL="2.6.27.55"
samples/mingw32,i686-none-linux-gnu/crosstool.config:2240:CT_LIBC_GLIBC_MIN_KERNEL="2.6.33.7"
samples/mips-ar2315-linux-gnu/crosstool.config:2290:CT_LIBC_GLIBC_MIN_KERNEL="2.6.25"
samples/mips-ar2315-linux-gnu/crosstool.config:2290:CT_LIBC_GLIBC_MIN_KERNEL_VERSION="2.6.25"
samples/mipsel-unknown-linux-gnu/crosstool.config:2290:CT_LIBC_GLIBC_MIN_KERNEL="2.6.31.14"
samples/powerpc-405fp-linux-gnu/crosstool.config:958:CT_LIBC_GLIBC_MIN_KERNEL="2.6.27.2"
samples/powerpc-405-linux-gnu/crosstool.config:2290:CT_LIBC_GLIBC_MIN_KERNEL="2.6.31.14"
samples/powerpc64-unknown-linux-gnu/crosstool.config:2290:CT_LIBC_GLIBC_MIN_KERNEL="2.6.31.14"
samples/powerpc-860-linux-gnu/crosstool.config:2290:CT_LIBC_GLIBC_MIN_KERNEL="2.6.31.14"
samples/powerpc-e300c3-linux-gnu/crosstool.config:2335:CT_LIBC_GLIBC_MIN_KERNEL="2.6.36.4"
samples/powerpc-e500v2-linux-gnuspe/crosstool.config:2290:CT_LIBC_GLIBC_MIN_KERNEL="2.6.35.10"
samples/powerpc-unknown-linux-gnu/crosstool.config:2290:CT_LIBC_GLIBC_MIN_KERNEL="2.6.31.14"
samples/powerpc-unknown-linux-gnuspe/crosstool.config:882:CT_LIBC_GLIBC_MIN_KERNEL="2.6.26.5"
samples/powerpc-unknown_nofpu-linux-gnu/crosstool.config:2290:CT_LIBC_GLIBC_MIN_KERNEL="2.6.31.14"
samples/s390-ibm-linux-gnu/crosstool.config:2290:CT_LIBC_GLIBC_MIN_KERNEL="2.6.31.14"
samples/s390x-ibm-linux-gnu/crosstool.config:2290:CT_LIBC_GLIBC_MIN_KERNEL="2.6.31.14"
samples/sh4-unknown-linux-gnu/crosstool.config:2290:CT_LIBC_GLIBC_MIN_KERNEL="2.6.27.57"
samples/x86_64-unknown-linux-gnu/crosstool.config:2290:CT_LIBC_GLIBC_MIN_KERNEL="2.6.33.7"
scripts/build/libc/eglibc.sh:2232:    extra_config+=("--enable-kernel=$(echo ${CT_LIBC_GLIBC_MIN_KERNEL} |sed -r -e 's/^([^.]+\.[^.]+\.[^.]+)(|\.[^.]+)$/\1/;')")
scripts/build/libc_eglibc.sh:810:    extra_config="--enable-kernel=$(echo ${CT_LIBC_GLIBC_MIN_KERNEL} |sed -r -e 's/^([^.]+\.[^.]+\.[^.]+)(|\.[^.]+)$/\1/;')"
scripts/build/libc/glibc-eglibc.sh-common:2353:                min_kernel_config="$( echo "${CT_LIBC_GLIBC_MIN_KERNEL_VERSION}"            \
scripts/build/libc/glibc.sh:2272:                min_kernel_config="--enable-kernel=$(echo ${CT_LIBC_GLIBC_MIN_KERNEL_VERSION} |sed -r -e 's/^([^.]+\.[^.]+\.[^.]+)(|\.[^.]+)$/\1/;')"
scripts/build/libc_glibc.sh:810:    extra_config="--enable-kernel=$(echo ${CT_LIBC_GLIBC_MIN_KERNEL} |sed -r -e 's/^([^.]+\.[^.]+\.[^.]+)(|\.[^.]+)$/\1/;')"
scripts/build/libc_glibc.sh:810:        *) extra_config="${extra_config} --enable-kernel=$(echo ${CT_LIBC_GLIBC_MIN_KERNEL} |sed -r -e 's/^([^.]+\.[^.]+\.[^.]+)(|\.[^.]+)$/\1/;')"

Doesn't look right...

/Esben

--
For unsubscribe information see http://sourceware.org/lists.html#faq



More information about the crossgcc mailing list